MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::delegates::CDelegate3< TP1, TP2, TP3 > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >:
[legend]

## Public Types
typedef IDelegate3< TP1, TP2, TP3 > | IDelegate

## Public Member Functions
| CDelegate3 ()
| CDelegate3 (const CDelegate3< TP1, TP2, TP3 > &_event)
| ~CDelegate3 ()
bool | empty () const
void | clear ()
CDelegate3< TP1, TP2, TP3 > & | operator= (IDelegate *_delegate)
CDelegate3< TP1, TP2, TP3 > & | operator= (const CDelegate3< TP1, TP2, TP3 > &_event)
void | operator() (TP1 p1, TP2 p2, TP3 p3)

## Detailed Description

### template<typename TP1, typename TP2, typename TP3>
class MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >

Definition at line 137 of file MyGUI_Delegate.h.

## Member Typedef Documentation

template<typename TP1, typename TP2, typename TP3>

typedef IDelegate3<TP1, TP2, TP3> MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >::IDelegate

Definition at line 140 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

template<typename TP1, typename TP2, typename TP3>

MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >::CDelegate3 | ( |  | ) |
| inline

Definition at line 142 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3>

MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >::CDelegate3 | ( | const CDelegate3< TP1, TP2, TP3 > & | _event | ) |
| inline

Definition at line 143 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3>

MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >::~CDelegate3 | ( |  | ) |
| inline

Definition at line 150 of file MyGUI_Delegate.h.

## Member Function Documentation

template<typename TP1, typename TP2, typename TP3>

void MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >::clear | ( |  | ) |
| inline

Definition at line 160 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3>

bool MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >::empty | ( |  | ) | const
| inline

Definition at line 155 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3>

void MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3
| ) |  |
| inline

Definition at line 190 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3>

CDelegate3<TP1, TP2, TP3>& MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >::operator= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 166 of file MyGUI_Delegate.h.

template<typename TP1, typename TP2, typename TP3>

CDelegate3<TP1, TP2, TP3>& MyGUI::delegates::CDelegate3< TP1, TP2, TP3 >::operator= | ( | const CDelegate3< TP1, TP2, TP3 > & | _event | ) |
| inline

Definition at line 173 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h